# Datenbank anlegen
CREATE DATABASE Fragebogengenerator;
USE Fragebogengenerator;


# Tabelle mit Fragebogendaten anlegen 
CREATE TABLE formdata (
  FORMID    Varchar(20) NOT NULL,
  ORDERNO   Integer NOT NULL,
  ATTRIBUTE Varchar(50) NOT NULL,
  VALUE Text,
  PRIMARY KEY(FORMID, ORDERNO, ATTRIBUTE)
);


# Tabelle fuer die Ergebnisse anlegen
CREATE TABLE results (
  FORMID     Varchar(20) NOT NULL,
  SESSIONID  Varchar(30) NOT NULL,
  QUESTIONNO Varchar(20) NOT NULL,
  ANSWER Text,
  PRIMARY KEY(FORMID, SESSIONID, QUESTIONNO)
);

# Tabelle fuer das Loggen der Ergebniseintraege anlegen
CREATE TABLE resultlog (
  SESSIONID  Varchar(30) NOT NULL,
  REMOTEHOST Varchar(30),
  PRIMARY KEY(SESSIONID)
);  


USE mysql;

# Benutzer ohne Rechte anlegen
INSERT INTO user VALUES ('localhost', 'FBErsteller', '', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N', 'N');

# Benutzer jetzt die Rechte fuer die Tabellen und die Datenbank zuweisen


INSERT INTO db VALUES ('%', 'Fragebogengenerator', 'FBErsteller', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y', 'Y');

INSERT INTO tables_priv (Host, Db, User, Table_name, Table_priv) VALUES ('%', 'Fragebogengenerator', 'FBErsteller', 'formdata', 'Select,Insert,Update,Delete');

INSERT INTO tables_priv (Host, Db, User, Table_name, Table_priv) VALUES ('%', 'Fragebogengenerator', 'FBErsteller', 'results', 'Select,Insert,Update,Delete');

INSERT INTO tables_priv (Host, Db, User, Table_name, Table_priv) VALUES ('%', 'Fragebogengenerator', 'FBErsteller', 'resultlog', 'Select,Insert,Update,Delete');

flush privileges;